Unit tasb2e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ASB2E_p;

function tasb2e: String;

implementation

function tasb2e: String;
var
MA,N,I,J,ML,MU,L,LTR,J0,J1,K,IERR :Integer;
RCOND :Extended;
A :Array [0..24] of Extended;
B :Array [0..4] of Extended;
Z :Array [0..4] of Extended;
NLEAD :Array [0..4] of Integer;
label
_1,_2,_3,_4;
begin
Result := '';  {   }
MA := 5;
N := 5;
for I:=1 to MA do
 begin
  for J:=1 to N do
   begin
    A[(I-1)+(J-1)*5] := 0.0e0;
_1:
   end;
_2:
 end;
ML := 1;
MU := 1;
L := 0;
LTR := 0;
for I:=1 to MA do
 begin
  J0 := Max0(1,I-ML);
  J1 := Min0(N,I+MU);
  for J:=J0 to J1 do
   begin
    K := J-I+ML+1;
    A[(I-1)+(K-1)*5] := ((I*10+J));
_3:
   end;
  B[I-1] := 7.0e0;
_4:
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   A=' + #$0D#$0A]);
for I:=1 to MA do
 begin
  for J:=1 to N do
   begin
    Result := Result + Format(' %20.16f ',[A[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
ASB2E(A,MA,N,ML,MU,NLEAD,B,LTR,L,RCOND,Z,IERR);
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   NLEAD=' + #$0D#$0A]);
for J:=1 to N do
 begin
  Result := Result + Format('   %3d ',[NLEAD[J-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   A=' + #$0D#$0A]);
for I:=1 to MA do
 begin
  for J:=1 to N do
   begin
    Result := Result + Format(' %20.16f ',[A[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   IERR=']);
Result := Result + Format('%3d ',[IERR]);
Result := Result + Format('%s',['     RCOND=']);
Result := Result + Format('%20.16f ',[RCOND]) + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   B=' + #$0D#$0A]);
for J:=1 to N do
 begin
  Result := Result + Format(' %20.16f ',[B[J-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tasb2e',Result);  {     tasb2e.res }
exit;
end;

end.
